plotPenLL {tilingArray} | R Documentation

## Plot the log-likelihood and penalized log-likelihoods (AIC, BIC)

### Description

Plot the log-likelihood and two versions of penalized log-likelihoods (AIC, BIC) for a segmentation object.

### Usage

    plotPenLL(seg, extrabar=numeric(0), type="b", lty=1, pch=16, lwd=2, ...)

### Arguments

`seg` | A `segmentation` object.
`extrabar` | In addition to the location of maximmal BIC, vertical bars are drawn at these x-positions as well.
`type, pch, lty, lwd, ...` | Get passed on to `matplot`.

### Details

This function is used in the vignette: How to use the segment function to fit a piecewise constant curve.

### Value

The function is called for its side effect, which is creating a plot in the current graphics device.

### Author(s)

Wolfgang Huber <huber@ebi.ac.uk>

### Examples

      x = rep( sin((0:4)/2*pi), each=3) + rnorm(3*5, sd=0.1)
      res = segment(x, maxseg=8, maxk=15)
      plotPenLL(res)

[Package tilingArray version 1.22.0 Index]